Bug 20034 - Switch single-column templates to Bootstrap grid: Circulation
Summary: Switch single-column templates to Bootstrap grid: Circulation
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords: Academy
Depends on:
Blocks: 19980
  Show dependency treegraph
 
Reported: 2018-01-18 16:42 UTC by Owen Leonard
Modified: 2018-06-04 20:15 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20034: Switch single-column templates to Bootstrap grid: Circulation (4.11 KB, patch)
2018-01-18 17:01 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20034: Switch single-column templates to Bootstrap grid: Circulation (4.17 KB, patch)
2018-01-23 14:08 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 20034: Switch single-column templates to Bootstrap grid: Circulation (4.24 KB, patch)
2018-02-04 16:31 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-01-18 16:42:26 UTC
There are two single-column Circulation templates which can be updated to use Bootstrap:

article-requests.tt
circulation-home.tt
Comment 1 Owen Leonard 2018-01-18 17:01:37 UTC
Created attachment 70699 [details] [review]
Bug 20034: Switch single-column templates to Bootstrap grid: Circulation

This patch updates two single-column circulation templates to
use the Bootstrap grid.

- circulation-home.tt - Circulation home page. This patch corrects what
  appears to have been a long-broken three-column layout.

- article-requests.tt - Article requests list. Turn on the
  ArticleRequests system preference if necessary. Go to Circulation ->
  Article requests.

Each of these pages should look correct, with a single centered column
with wide margins on either side. At lower browser widths the margins
should disappear.
Comment 2 Claire Gravely 2018-01-23 14:08:23 UTC
Created attachment 70838 [details] [review]
Bug 20034: Switch single-column templates to Bootstrap grid: Circulation

This patch updates two single-column circulation templates to
use the Bootstrap grid.

- circulation-home.tt - Circulation home page. This patch corrects what
  appears to have been a long-broken three-column layout.

- article-requests.tt - Article requests list. Turn on the
  ArticleRequests system preference if necessary. Go to Circulation ->
  Article requests.

Each of these pages should look correct, with a single centered column
with wide margins on either side. At lower browser widths the margins
should disappear.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Comment 3 Katrin Fischer 2018-02-04 16:31:28 UTC
Created attachment 71207 [details] [review]
Bug 20034: Switch single-column templates to Bootstrap grid: Circulation

This patch updates two single-column circulation templates to
use the Bootstrap grid.

- circulation-home.tt - Circulation home page. This patch corrects what
  appears to have been a long-broken three-column layout.

- article-requests.tt - Article requests list. Turn on the
  ArticleRequests system preference if necessary. Go to Circulation ->
  Article requests.

Each of these pages should look correct, with a single centered column
with wide margins on either side. At lower browser widths the margins
should disappear.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2018-02-15 16:39:57 UTC
Pushed to master for 18.05, thanks to everybody involved!